import * as React from 'react';
import { ReactNode } from 'react';

type Props = {
  children: ReactNode;
};

/**
 * @component
 * @description this a button component that takes a children prop
 * @example
 * <Button children="childreporpn">Click me</Button>
 */
const Button = ({ children }: Props) => {
  return (
    <div className="rounded-md border px-10 py-4 text-xl text-red-900">{children}</div>
  );
};

export default Button;
