import * as React from 'react';
import Slider, { SliderProps } from '@mui/material/Slider';
import clsx from 'clsx';

interface Props extends SliderProps {
  tailwindColor: 'red' | 'blue';
}

const PersonalChip = (props: Props) => {
  const { children, tailwindColor, ...rest } = props;

  return (
    <Slider
      defaultValue={30}
      className={clsx(
        tailwindColor === 'red' && 'text-red-500',
        tailwindColor === 'blue' && 'text-blue-500'
      )}
      {...rest}
    />
  );
};

export default PersonalChip;
