import * as React from 'react';
import clsx from 'clsx';

type Props = {
  children: React.ReactNode;
  color: 'red' | 'blue';
};

const Text = ({ children, color }: Props) => {
  return (
    <p
      className={clsx(
        color === 'red' && 'text-red-500',
        color === 'blue' && 'text-blue-500'
      )}
    >
      {children}
    </p>
  );
};
export default Text;
